<!---
SPDX-FileCopyrightText: Copyright 2022, Arm Limited and/or its affiliates.
SPDX-License-Identifier: Apache-2.0
--->
# Docker™ image

This directory contains different utilities to build/test the TOSA Checker.

## How to build the TOSA Checker manylinux wheel with a Docker™ image

To create a Docker™ image for the TOSA Checker to build it for Python® 3.9 on various Linux® distributions, please run the following command:

```console
docker build . -t tc-cp39-manylinux --build-arg PYTHON_VERSION=3.9 -f Dockerfile
```

The TensorFlow™ source code is automatically downloaded and is located in the `/tensorflow_src` directory.

The command to run the container is:

```console
docker run -it -v <tosa_checker source code on your machine>:/tosa_checker tc-cp39-manylinux
```

Now call the following command to build a `tosa_checker` Python® wheel inside of the container:

```console
cd tosa_checker
python3 setup.py --tensorflow_src_dir /tensorflow_src bdist_wheel
```
The `tosa_checker` wheel can be found in the `/dist` directory.

Generate the new manylinux wheel from the `tosa_checker` wheel:
```console
auditwheel repair dist/<tosa_checker>.whl -w dist/
```
The `tosa_checker` manylinux wheel can now be found in the `/dist` directory.

Install the `tosa_checker` manylinux wheel:
```console
pip install dist/<tosa_checker-manyliux>.whl
```

## Trademarks and Copyrights

* Python® is a registered trademark of the PSF.
* Linux® is the registered trademark of Linus Torvalds in the U.S. and other countries.
* Ubuntu® is a registered trademark of Canonical.
* TensorFlow™ is a trademark of Google® LLC.
* Docker™ is a trademark of Docker, Inc.


